Bug 126323 - [UI] Mouse cursor over an SVG image containing text mislead into believing you can directly edit the text
Summary: [UI] Mouse cursor over an SVG image containing text mislead into believing yo...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.2.5.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Mouse-Cursor
  Show dependency treegraph
 
Reported: 2019-07-10 07:29 UTC by zigazou
Modified: 2021-12-18 03:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
An archive containing test files and a video (212.28 KB, application/zip)
2019-07-10 07:29 UTC, zigazou
Details
sample ODG (11.47 KB, application/vnd.oasis.opendocument.graphics)
2019-07-10 12:38 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description zigazou 2019-07-10 07:29:07 UTC
Created attachment 152701 [details]
An archive containing test files and a video

Hi!

When you place an SVG image on a slide, when the mouse cursor is placed over a text contained in that SVG image, it changes to the caret, making one believe that you can edit the SVG image text in-place.

In fact, when you click while in caret mode over an SVG image, it directly launches the edition of the rectangular zone text (clearer in the example and the video).

To reproduce :

- create an empty presentation
- change layout to blank slide (to be sure the caret is not shown for anything else other than the SVG image)
- drag and drop an SVG image with text on the empty slide
- move the mouse cursor over the SVG image and look at its changes
- do one click on the SVG image text and it puts you into editing the area text while you need to double-click on other SVG elements to do the same

An archive is attached that contains :

- bug-svg-text.odp, the presentation containing the SVG
- bug-svg-text.svg, the original SVG file
- bug-svg-text.mp4, the video showing cursor changing when the mouse cursor is moved over the SVG image

Video timeline:

- 00:03: the mouse pointer is changed to the hand cursor when moving over an SVG element that is not a text
- 00:08: the mouse pointer is changed to the caret when moving over the SVG image text
- 00:16: when you once click on the SVG text, a small caret appears and you can enter a text that is associated with the SVG area.
Comment 1 V Stuart Foote 2019-07-10 12:37:26 UTC
Confirmed on Windows 10 Home 64-bit en-US with
Version: 6.4.0.0.alpha0+ (x64)
Build ID: a9885aed4ee65067613e5506771b6ae6b5e0bae0
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-07-04_01:38:09
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

An SVG containing textual elements inserted to sd Impress slide canvas.

Mouse over of the textual elements changes to text cursor.

Entering text does not affect the textual elements of the SVG, rather it adds text to the draw image objects frame.

Not incorrect to be adding text to the image frame, but it is misleading to be placed into text cursor on mouseover of the SVG textual content.  And how would one be able to edit textual content of an inserted SVG? Don't think we can internally.  So issue is the change in sd pointer to the text cursor.
Comment 2 V Stuart Foote 2019-07-10 12:38:13 UTC
Created attachment 152707 [details]
sample ODG
Comment 3 V Stuart Foote 2019-07-10 13:11:19 UTC
(In reply to V Stuart Foote from comment #1)

> ... And how would one be able to edit textual content of an inserted SVG? 

So a 'Break' of course works, but that splits the textual portion of SVG out into multiple draw text box objects. Though Justin's work on https://gerrit.libreoffice.org/#/c/75043 provides a means now for tweaking the multi text box split.  Otherwise, IIUC no means to manipulate the source SVG directly once inserted, so cursor change should not hint there is?
Comment 4 V Stuart Foote 2019-07-10 13:20:45 UTC
(In reply to V Stuart Foote from comment #2)
> Created attachment 152707 [details]
> sample ODG

oops, attached the wrong ODG. Anyhow save this as SVG then insert result to Impress canvas, then cursor over the textual elements of the SVG
Comment 5 QA Administrators 2021-12-18 03:47:12 UTC
Dear zigazou,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug